/**
 * Copyright (c) 2014 David I. Bell
 * Permission is granted to use, distribute, or modify this source,
 * provided that this copyright notice remains intact.
 */
package weather.selector;

import weather.Observation;
import weather.Utils;


public class ApparentAirTempSelector extends Selector
{
	@Override
	public String getName()
	{
		return "Apparent Air Temperature (C)";
	}


	@Override
	public Object getValue(Observation observation)
	{
		return observation.getApparentTemp();
	}


	@Override
	public ValueType getValueType()
	{
		return ValueType.TEMPERATURE;
	}


	@Override
	public double getMajorInterval(double range)
	{
		return 5;
	}


	@Override
	public double getMinorInterval(double range)
	{
		return 1;
	}


	@Override
	public boolean isMinorIntervalLabeled(double range)
	{
		return true;
	}


	@Override
	public boolean isValueBolded(double value)
	{
		return Utils.isCloseTo(value, 0.0);
	}
}
