/**
 * Copyright (c) 2014 David I. Bell
 * Permission is granted to use, distribute, or modify this source,
 * provided that this copyright notice remains intact.
 */
package weather.selector;

import weather.Observation;


public class DeltaTempSelector extends Selector
{
	@Override
	public String getName()
	{
		return "Delta-T (C)";
	}


	@Override
	public Object getValue(Observation observation)
	{
		return observation.getDeltaTemp();
	}


	@Override
	public ValueType getValueType()
	{
		return ValueType.TEMPERATURE;
	}


	@Override
	public double getMajorInterval(double range)
	{
		return 1;
	}


	@Override
	public double getMinorInterval(double range)
	{
		return 0.2;
	}
}
