/**
 * Copyright (c) 2014 David I. Bell
 * Permission is granted to use, distribute, or modify this source,
 * provided that this copyright notice remains intact.
 */
package weather.selector;

import weather.Observation;


public class LocalTimeSelector extends Selector
{
	@Override
	public String getName()
	{
		return "Local Time";
	}


	@Override
	public Object getValue(Observation observation)
	{
		return observation.getLocalTime();
	}


	@Override
	public ValueType getValueType()
	{
		return ValueType.DATE_TIME;
	}


	@Override
	public String getFormattedValue(Observation observation)
	{
		return observation.getLocalTime().getFormattedString();
	}


	@Override
	public boolean isPlottable()
	{
		return false;
	}


	@Override
	public boolean isDouble()
	{
		return false;
	}
}
