/**
 * Copyright (c) 2014 David I. Bell
 * Permission is granted to use, distribute, or modify this source,
 * provided that this copyright notice remains intact.
 */
package weather.selector;

import weather.Observation;


public class WindGustKMHSelector extends Selector
{
	@Override
	public String getName()
	{
		return "Wind Gust (km/h)";
	}


	@Override
	public Object getValue(Observation observation)
	{
		return observation.getGustKmh();
	}


	@Override
	public ValueType getValueType()
	{
		return ValueType.WIND_SPEED;
	}


	@Override
	public double getMajorInterval(double range)
	{
		return 5;
	}


	@Override
	public double getMinorInterval(double range)
	{
		return 1;
	}
}
